<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="3226dedd-5e80-4af7-9383-28800a2b63b5" name="Changes" comment="remove dead code" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Interface" />
        <option value="Class" />
        <option value="JUnit5 Test Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_BRANCH_BY_REPOSITORY">
      <map>
        <entry key="$PROJECT_DIR$" value="master" />
      </map>
    </option>
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="MavenImportPreferences">
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="workspaceImportEnabled" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="ProjectId" id="2LikY1Smi1pAJC7fXGW6Wz1HkZY" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true">
    <ConfirmationsSetting value="2" id="Add" />
  </component>
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">{
  &quot;keyToString&quot;: {
    &quot;ASKED_ADD_EXTERNAL_FILES&quot;: &quot;true&quot;,
    &quot;RunOnceActivity.OpenProjectViewOnStart&quot;: &quot;true&quot;,
    &quot;RunOnceActivity.ShowReadmeOnStart&quot;: &quot;true&quot;,
    &quot;SHARE_PROJECT_CONFIGURATION_FILES&quot;: &quot;true&quot;,
    &quot;WebServerToolWindowFactoryState&quot;: &quot;false&quot;,
    &quot;com.intellij.testIntegration.createTest.CreateTestDialog.defaultLibrary&quot;: &quot;JUnit5&quot;,
    &quot;com.intellij.testIntegration.createTest.CreateTestDialog.defaultLibrarySuperClass.JUnit5&quot;: &quot;&quot;,
    &quot;last_opened_file_path&quot;: &quot;/home/khaled/gitlab/statistics-collector&quot;,
    &quot;node.js.detected.package.eslint&quot;: &quot;true&quot;,
    &quot;node.js.detected.package.tslint&quot;: &quot;true&quot;,
    &quot;node.js.selected.package.eslint&quot;: &quot;(autodetect)&quot;,
    &quot;node.js.selected.package.tslint&quot;: &quot;(autodetect)&quot;,
    &quot;project.structure.last.edited&quot;: &quot;Project&quot;,
    &quot;project.structure.proportion&quot;: &quot;0.0&quot;,
    &quot;project.structure.side.proportion&quot;: &quot;0.0&quot;,
    &quot;settings.editor.selected.configurable&quot;: &quot;preferences.pluginManager&quot;,
    &quot;vue.rearranger.settings.migration&quot;: &quot;true&quot;
  },
  &quot;keyToStringList&quot;: {
    &quot;DatabaseDriversLRU&quot;: [
      &quot;mysql&quot;
    ]
  }
}</component>
  <component name="RecentsManager">
    <key name="CreateClassDialog.RecentsKey">
      <recent name="com.progressoft" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/src/main/java/com/progressoft/model" />
    </key>
    <key name="CreateTestDialog.Recents.Supers">
      <recent name="" />
    </key>
    <key name="MoveClassesOrPackagesDialog.RECENTS_KEY">
      <recent name="com.progressoft.repository" />
      <recent name="com.progressoft" />
    </key>
    <key name="CreateTestDialog.RecentsKey">
      <recent name="com.progressoft.initializer" />
      <recent name="com.progressoft" />
      <recent name="com.progressoft.repository" />
      <recent name="com.progressoft.util.database" />
      <recent name="com.progressoft.util" />
    </key>
  </component>
  <component name="RunManager" selected="JUnit.MainTest.givenValidFile_whenConstructed_then">
    <configuration name="ConnectionPoolTest" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="NOAA" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.progressoft.util.database.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.progressoft.util.database" />
      <option name="MAIN_CLASS_NAME" value="com.progressoft.util.database.ConnectionPoolTest" />
      <option name="TEST_OBJECT" value="class" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ConnectionPoolTest.givenConnectionPool_whenGetConnectionAndReleaseConnection_thenExpectedResult" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="NOAA" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.progressoft.util.database.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.progressoft.util.database" />
      <option name="MAIN_CLASS_NAME" value="com.progressoft.util.database.ConnectionPoolTest" />
      <option name="METHOD_NAME" value="givenConnectionPool_whenGetConnectionAndReleaseConnection_thenExpectedResult" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="InitializerTest" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="NOAA" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.progressoft.initializer.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.progressoft.initializer" />
      <option name="MAIN_CLASS_NAME" value="com.progressoft.initializer.InitializerTest" />
      <option name="TEST_OBJECT" value="class" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="MainTest.givenValidFile_whenConstructed_then" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="NOAA" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.progressoft.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.progressoft" />
      <option name="MAIN_CLASS_NAME" value="com.progressoft.MainTest" />
      <option name="METHOD_NAME" value="givenValidFile_whenConstructed_then" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="StationDAOHibernateTest.getByGeographicalLocation" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="NOAA" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.progressoft.repository.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.progressoft.repository" />
      <option name="MAIN_CLASS_NAME" value="com.progressoft.repository.StationDAOHibernateTest" />
      <option name="METHOD_NAME" value="getByGeographicalLocation" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.MainTest.givenValidFile_whenConstructed_then" />
        <item itemvalue="JUnit.InitializerTest" />
        <item itemvalue="JUnit.ConnectionPoolTest" />
        <item itemvalue="JUnit.ConnectionPoolTest.givenConnectionPool_whenGetConnectionAndReleaseConnection_thenExpectedResult" />
        <item itemvalue="JUnit.StationDAOHibernateTest.getByGeographicalLocation" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="3226dedd-5e80-4af7-9383-28800a2b63b5" name="Changes" comment="" />
      <created>1676361335923</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1676361335923</updated>
      <workItem from="1677476074848" duration="12553000" />
      <workItem from="1677490952124" duration="7052000" />
      <workItem from="1677562012506" duration="25259000" />
      <workItem from="1677648854200" duration="2784000" />
    </task>
    <task id="LOCAL-00001" summary="init commit">
      <created>1676365888651</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1676365888651</updated>
    </task>
    <task id="LOCAL-00002" summary="implement DAO and add test case for it">
      <created>1676373099691</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1676373099691</updated>
    </task>
    <task id="LOCAL-00003" summary="implement objectMapper and add test case">
      <created>1676382660389</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1676382660389</updated>
    </task>
    <task id="LOCAL-00004" summary="implement Reader and add test case">
      <created>1676382676436</created>
      <option name="number" value="00004" />
      <option name="presentableId" value="LOCAL-00004" />
      <option name="project" value="LOCAL" />
      <updated>1676382676436</updated>
    </task>
    <task id="LOCAL-00005" summary="implement StationDAO and add test case">
      <created>1676382696609</created>
      <option name="number" value="00005" />
      <option name="presentableId" value="LOCAL-00005" />
      <option name="project" value="LOCAL" />
      <updated>1676382696609</updated>
    </task>
    <task id="LOCAL-00006" summary="add property file to select custom row for print">
      <created>1676791341978</created>
      <option name="number" value="00006" />
      <option name="presentableId" value="LOCAL-00006" />
      <option name="project" value="LOCAL" />
      <updated>1676791341978</updated>
    </task>
    <task id="LOCAL-00007" summary="clean Main class">
      <created>1676791369947</created>
      <option name="number" value="00007" />
      <option name="presentableId" value="LOCAL-00007" />
      <option name="project" value="LOCAL" />
      <updated>1676791369947</updated>
    </task>
    <task id="LOCAL-00008" summary="add test case">
      <created>1676791399393</created>
      <option name="number" value="00008" />
      <option name="presentableId" value="LOCAL-00008" />
      <option name="project" value="LOCAL" />
      <updated>1676791399393</updated>
    </task>
    <task id="LOCAL-00009" summary=".">
      <created>1676791409022</created>
      <option name="number" value="00009" />
      <option name="presentableId" value="LOCAL-00009" />
      <option name="project" value="LOCAL" />
      <updated>1676791409022</updated>
    </task>
    <task id="LOCAL-00010" summary="remove dead code">
      <created>1676797338343</created>
      <option name="number" value="00010" />
      <option name="presentableId" value="LOCAL-00010" />
      <option name="project" value="LOCAL" />
      <updated>1676797338343</updated>
    </task>
    <task id="LOCAL-00011" summary="clean up dead code, add getFileName and setFileName methods to handle read stations file dynamically and remove hard coded">
      <created>1676881645186</created>
      <option name="number" value="00011" />
      <option name="presentableId" value="LOCAL-00011" />
      <option name="project" value="LOCAL" />
      <updated>1676881645186</updated>
    </task>
    <task id="LOCAL-00012" summary="add Initializer to handle init state">
      <created>1676881721270</created>
      <option name="number" value="00012" />
      <option name="presentableId" value="LOCAL-00012" />
      <option name="project" value="LOCAL" />
      <updated>1676881721270</updated>
    </task>
    <task id="LOCAL-00013" summary="add Initializer to handle init state">
      <created>1676881762845</created>
      <option name="number" value="00013" />
      <option name="presentableId" value="LOCAL-00013" />
      <option name="project" value="LOCAL" />
      <updated>1676881762845</updated>
    </task>
    <task id="LOCAL-00014" summary="remove hard coded file name">
      <created>1676881794852</created>
      <option name="number" value="00014" />
      <option name="presentableId" value="LOCAL-00014" />
      <option name="project" value="LOCAL" />
      <updated>1676881794852</updated>
    </task>
    <task id="LOCAL-00015" summary="add setters method">
      <created>1676881839797</created>
      <option name="number" value="00015" />
      <option name="presentableId" value="LOCAL-00015" />
      <option name="project" value="LOCAL" />
      <updated>1676881839797</updated>
    </task>
    <task id="LOCAL-00016" summary="remove DAO parameter and change signature for method to accept string as single line and return single station object">
      <created>1676881966472</created>
      <option name="number" value="00016" />
      <option name="presentableId" value="LOCAL-00016" />
      <option name="project" value="LOCAL" />
      <updated>1676881966472</updated>
    </task>
    <task id="LOCAL-00017" summary="optimize print method">
      <created>1676881999521</created>
      <option name="number" value="00017" />
      <option name="presentableId" value="LOCAL-00017" />
      <option name="project" value="LOCAL" />
      <updated>1676881999521</updated>
    </task>
    <task id="LOCAL-00018" summary="remove coupling">
      <created>1676903114135</created>
      <option name="number" value="00018" />
      <option name="presentableId" value="LOCAL-00018" />
      <option name="project" value="LOCAL" />
      <updated>1676903114135</updated>
    </task>
    <task id="LOCAL-00019" summary="rename methods">
      <created>1677131116454</created>
      <option name="number" value="00019" />
      <option name="presentableId" value="LOCAL-00019" />
      <option name="project" value="LOCAL" />
      <updated>1677131116454</updated>
    </task>
    <task id="LOCAL-00020" summary="add ConnectionPool interface and implement it.&#10;add test case for ConnectionPoolImpl">
      <created>1677143024980</created>
      <option name="number" value="00020" />
      <option name="presentableId" value="LOCAL-00020" />
      <option name="project" value="LOCAL" />
      <updated>1677143024980</updated>
    </task>
    <task id="LOCAL-00021" summary="implement StationDAO to support database.&#10;add test case for StationDAODB">
      <created>1677161777287</created>
      <option name="number" value="00021" />
      <option name="presentableId" value="LOCAL-00021" />
      <option name="project" value="LOCAL" />
      <updated>1677161777287</updated>
    </task>
    <task id="LOCAL-00022" summary="restructure files">
      <created>1677161919675</created>
      <option name="number" value="00022" />
      <option name="presentableId" value="LOCAL-00022" />
      <option name="project" value="LOCAL" />
      <updated>1677161919675</updated>
    </task>
    <task id="LOCAL-00023" summary="support database config">
      <created>1677396975154</created>
      <option name="number" value="00023" />
      <option name="presentableId" value="LOCAL-00023" />
      <option name="project" value="LOCAL" />
      <updated>1677396975154</updated>
    </task>
    <task id="LOCAL-00024" summary="support dynamic add connection to connection pool">
      <created>1677397050044</created>
      <option name="number" value="00024" />
      <option name="presentableId" value="LOCAL-00024" />
      <option name="project" value="LOCAL" />
      <updated>1677397050044</updated>
    </task>
    <task id="LOCAL-00025" summary="support multi datasource">
      <created>1677397110045</created>
      <option name="number" value="00025" />
      <option name="presentableId" value="LOCAL-00025" />
      <option name="project" value="LOCAL" />
      <updated>1677397110045</updated>
    </task>
    <task id="LOCAL-00026" summary="support multi datasource">
      <created>1677397136281</created>
      <option name="number" value="00026" />
      <option name="presentableId" value="LOCAL-00026" />
      <option name="project" value="LOCAL" />
      <updated>1677397136281</updated>
    </task>
    <task id="LOCAL-00027" summary="format class">
      <created>1677397196374</created>
      <option name="number" value="00027" />
      <option name="presentableId" value="LOCAL-00027" />
      <option name="project" value="LOCAL" />
      <updated>1677397196374</updated>
    </task>
    <task id="LOCAL-00028" summary="add releaseConnection, move map method to StationMapper">
      <created>1677397282781</created>
      <option name="number" value="00028" />
      <option name="presentableId" value="LOCAL-00028" />
      <option name="project" value="LOCAL" />
      <updated>1677397282781</updated>
    </task>
    <task id="LOCAL-00029" summary="add datasource options">
      <created>1677414457036</created>
      <option name="number" value="00029" />
      <option name="presentableId" value="LOCAL-00029" />
      <option name="project" value="LOCAL" />
      <updated>1677414457036</updated>
    </task>
    <task id="LOCAL-00030" summary="add datasource options">
      <created>1677414566993</created>
      <option name="number" value="00030" />
      <option name="presentableId" value="LOCAL-00030" />
      <option name="project" value="LOCAL" />
      <updated>1677414566993</updated>
    </task>
    <task id="LOCAL-00031" summary="add datasource options">
      <created>1677414773835</created>
      <option name="number" value="00031" />
      <option name="presentableId" value="LOCAL-00031" />
      <option name="project" value="LOCAL" />
      <updated>1677414773835</updated>
    </task>
    <task id="LOCAL-00032" summary="add hibernate annotations">
      <created>1677491126799</created>
      <option name="number" value="00032" />
      <option name="presentableId" value="LOCAL-00032" />
      <option name="project" value="LOCAL" />
      <updated>1677491126799</updated>
    </task>
    <task id="LOCAL-00033" summary="implement hibernate and add test case">
      <created>1677491161634</created>
      <option name="number" value="00033" />
      <option name="presentableId" value="LOCAL-00033" />
      <option name="project" value="LOCAL" />
      <updated>1677491161634</updated>
    </task>
    <task id="LOCAL-00034" summary="fix negative number">
      <created>1677491184171</created>
      <option name="number" value="00034" />
      <option name="presentableId" value="LOCAL-00034" />
      <option name="project" value="LOCAL" />
      <updated>1677491184171</updated>
    </task>
    <task id="LOCAL-00035" summary="implement builder design pattern">
      <created>1677563619504</created>
      <option name="number" value="00035" />
      <option name="presentableId" value="LOCAL-00035" />
      <option name="project" value="LOCAL" />
      <updated>1677563619504</updated>
    </task>
    <task id="LOCAL-00036" summary="use Station builder">
      <created>1677563654894</created>
      <option name="number" value="00036" />
      <option name="presentableId" value="LOCAL-00036" />
      <option name="project" value="LOCAL" />
      <updated>1677563654894</updated>
    </task>
    <task id="LOCAL-00037" summary="make fields final">
      <created>1677578019371</created>
      <option name="number" value="00037" />
      <option name="presentableId" value="LOCAL-00037" />
      <option name="project" value="LOCAL" />
      <updated>1677578019371</updated>
    </task>
    <task id="LOCAL-00038" summary="add more connections">
      <created>1677578037760</created>
      <option name="number" value="00038" />
      <option name="presentableId" value="LOCAL-00038" />
      <option name="project" value="LOCAL" />
      <updated>1677578037760</updated>
    </task>
    <task id="LOCAL-00039" summary="make Initializer.java testable and add test case using mocking">
      <created>1677578081261</created>
      <option name="number" value="00039" />
      <option name="presentableId" value="LOCAL-00039" />
      <option name="project" value="LOCAL" />
      <updated>1677578081261</updated>
    </task>
    <task id="LOCAL-00040" summary="enable @ExtendWith for mockito">
      <created>1677578150739</created>
      <option name="number" value="00040" />
      <option name="presentableId" value="LOCAL-00040" />
      <option name="project" value="LOCAL" />
      <updated>1677578150739</updated>
    </task>
    <task id="LOCAL-00041" summary="fix closing session bug">
      <created>1677578177740</created>
      <option name="number" value="00041" />
      <option name="presentableId" value="LOCAL-00041" />
      <option name="project" value="LOCAL" />
      <updated>1677578177740</updated>
    </task>
    <task id="LOCAL-00042" summary="using mocking">
      <created>1677578221462</created>
      <option name="number" value="00042" />
      <option name="presentableId" value="LOCAL-00042" />
      <option name="project" value="LOCAL" />
      <updated>1677578221462</updated>
    </task>
    <task id="LOCAL-00043" summary="end mocking for noaaService">
      <created>1677582896697</created>
      <option name="number" value="00043" />
      <option name="presentableId" value="LOCAL-00043" />
      <option name="project" value="LOCAL" />
      <updated>1677582896697</updated>
    </task>
    <task id="LOCAL-00044" summary="add mocking Config, reader and use @Spy for stationMapper">
      <created>1677587603936</created>
      <option name="number" value="00044" />
      <option name="presentableId" value="LOCAL-00044" />
      <option name="project" value="LOCAL" />
      <updated>1677587603936</updated>
    </task>
    <task id="LOCAL-00045" summary="add mocking Config, reader and StationMapper">
      <created>1677588590821</created>
      <option name="number" value="00045" />
      <option name="presentableId" value="LOCAL-00045" />
      <option name="project" value="LOCAL" />
      <updated>1677588590821</updated>
    </task>
    <task id="LOCAL-00046" summary="remove dead code">
      <created>1677589140470</created>
      <option name="number" value="00046" />
      <option name="presentableId" value="LOCAL-00046" />
      <option name="project" value="LOCAL" />
      <updated>1677589140470</updated>
    </task>
    <task id="LOCAL-00047" summary="remove dead code">
      <created>1677591784754</created>
      <option name="number" value="00047" />
      <option name="presentableId" value="LOCAL-00047" />
      <option name="project" value="LOCAL" />
      <updated>1677591784754</updated>
    </task>
    <option name="localTasksCounter" value="48" />
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="VcsManagerConfiguration">
    <option name="ADD_EXTERNAL_FILES_SILENTLY" value="true" />
    <MESSAGE value="rename methods" />
    <MESSAGE value="add ConnectionPool interface and implement it.&#10;add test case for ConnectionPoolImpl" />
    <MESSAGE value="implement StationDAO to support database.&#10;add test case for StationDAODB" />
    <MESSAGE value="restructure files" />
    <MESSAGE value="support database config" />
    <MESSAGE value="support dynamic add connection to connection pool" />
    <MESSAGE value="support multi datasource" />
    <MESSAGE value="format class" />
    <MESSAGE value="add releaseConnection, move map method to StationMapper" />
    <MESSAGE value="add datasource options" />
    <MESSAGE value="add hibernate annotations" />
    <MESSAGE value="implement hibernate and add test case" />
    <MESSAGE value="fix negative number" />
    <MESSAGE value="implement builder design pattern" />
    <MESSAGE value="use Station builder" />
    <MESSAGE value="make fields final" />
    <MESSAGE value="add more connections" />
    <MESSAGE value="make Initializer.java testable and add test case using mocking" />
    <MESSAGE value="enable @ExtendWith for mockito" />
    <MESSAGE value="fix closing session bug" />
    <MESSAGE value="using mocking" />
    <MESSAGE value="end mocking for noaaService" />
    <MESSAGE value="add mocking Config, reader and use @Spy for stationMapper" />
    <MESSAGE value="add mocking Config, reader and StationMapper" />
    <MESSAGE value="remove dead code" />
    <option name="LAST_COMMIT_MESSAGE" value="remove dead code" />
  </component>
  <component name="XSLT-Support.FileAssociations.UIState">
    <expand />
    <select />
  </component>
  <component name="com.intellij.coverage.CoverageDataManagerImpl">
    <SUITE FILE_PATH="coverage/NOAA$All_in_NOAA__1_.ic" NAME="All in NOAA (1) Coverage Results" MODIFIED="1676807561619" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="idea" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false" />
    <SUITE FILE_PATH="coverage/NOAA$All_in_NOAA__2_.ic" NAME="All in NOAA (2) Coverage Results" MODIFIED="1676805477821" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="idea" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false" />
    <SUITE FILE_PATH="coverage/NOAA$All_in_NOAA.ic" NAME="All in NOAA Coverage Results" MODIFIED="1676877457787" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="idea" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false" />
    <SUITE FILE_PATH="coverage/NOAA$ConnectionPoolTest.ic" NAME="ConnectionPoolTest Coverage Results" MODIFIED="1677138845566" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="idea" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false">
      <FILTER>com.progressoft.util.database.*</FILTER>
    </SUITE>
  </component>
</project>